---
title: TransitionEvent.pseudoElement
slug: Web/API/TransitionEvent/pseudoElement
tags:
  - API
  - CSS
  - CSS3 Transitions
  - CSSOM
  - Experimental
  - Property
  - Reference
  - TransitionEvent
---
<p>{{ apiref("CSSOM") }} {{SeeCompatTable}}</p>

<p>The <code><strong>TransitionEvent.pseudoElement</strong></code> read-only property is a {{domxref("DOMString")}}, starting with <code>'::'</code>, containing the name of the <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> the animation runs on. If the transition doesn't run on a pseudo-element but on the element, an empty string: <code>''</code><code>.</code></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>name</em> = <em>TransitionEvent</em>.pseudoElement</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Transitions', '#Events-TransitionEvent-pseudoElement', 'TransitionEvent.pseudoElement') }}</td>
   <td>{{ Spec2('CSS3 Transitions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TransitionEvent.pseudoElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/CSS/Using_CSS_transitions">Using CSS transitions</a></li>
 <li>{{cssxref("transition")}}, {{cssxref("transition-delay")}}, {{cssxref("transition-duration")}}, {{cssxref("transition-property")}}, {{cssxref("transition-timing-function")}}.</li>
</ul>
